<?php
//+++
function GENERAR_AJUSTE_SUB($FEC,$USU,$ALM_ID,$PRO_ID,$CAN,$PIE){
	$KOD=GenId("id_ajuste","ajustes");
	$NUM=vbr("00000".$KOD,5);
	$GI=GenGI();
	$s="INSERT INTO ajustes VALUES ($KOD,'$FEC',$ALM_ID,'$NUM','Q','',$USU,'N',$GI,'A')";
	ejt($s);
	//echo $s."<br>";
	//
	$s="INSERT INTO ajustes_det VALUES ($KOD,1,$PRO_ID,$CAN,$PIE)";
	ejt($s);
	//echo $s."<br>";
}
//
function GENERAR_AJUSTE_ADD($FEC,$USU,$ALM_ID,$PRO_ID,$CAN,$PIE){
	$KOD=GenId("id_ajuste","ajustes");
	$NUM=vbr("00000".$KOD,5);
	$GI=GenGI();
	$s="INSERT INTO ajustes VALUES ($KOD,'$FEC',$ALM_ID,'$NUM','A','',$USU,'N',$GI,'A')";
	ejt($s);
	//echo $s."<br>";
	//
	$s="INSERT INTO ajustes_det VALUES ($KOD,1,$PRO_ID,$CAN,$PIE)";
	ejt($s);
	//echo $s."<br>";
}
//
function MEDIAS_ADD($USU,$ALM,$PRO,$PIE,$ACC,$KAN,$FEC,$HOR,$TIP){
	$KOD=GenId("id_med","medias");
	if(strlen($FEC)==0){
		$SYS_FEC=date("Y-m-d");
	}else{
		$SYS_FEC=$FEC;
	}
	if(strlen($HOR)==0){
		$SYS_HOR=GetHoraAP();
	}else{
		$SYS_HOR=$HOR;
	}
	$SYS_TIM=time();
	$s="INSERT INTO medias 
		VALUES ($KOD,'$SYS_FEC','$SYS_HOR',$SYS_TIM,$USU,$ALM,$PRO,$PIE,'$ACC',$KAN,'$TIP')";
	ejt($s);
}
?>